Page MenuHomePhabricator

videojs source switcher doesn't seek to current time using ogv.js backend (upstream)
Closed, ResolvedPublic

Description

The videojs source switcher doesn't seek to the current time after switching sources. After investigating, looks like it waits for the 'loadeddata' event before trying to seek, which ogv.js 1.1.0 doesn't yet fire.

Upstream bug: https://github.com/brion/ogv.js/issues/395

Details

Related Gerrit Patches:
mediawiki/extensions/TimedMediaHandler : masterUpdate ogv.js to 1.1.1 release

Event Timeline

brion created this task.May 12 2016, 3:05 AM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 12 2016, 3:05 AM
brion added a comment.May 12 2016, 4:31 AM

Fixed upstream, will be in 1.1.1.

Change 288345 had a related patch set uploaded (by Brion VIBBER):
[WIP] Update ogv.js to 1.1.1-alpha.0

https://gerrit.wikimedia.org/r/288345

TheDJ moved this task from Backlog to Video.js on the Kaltura player board.May 13 2016, 11:53 AM
TheDJ closed this task as Resolved.May 18 2016, 7:01 PM
TheDJ assigned this task to brion.
TheDJ edited projects, added TimedMediaHandler; removed Patch-For-Review.
TheDJ moved this task from To sort to Done on the TimedMediaHandler board.

Change 288345 merged by jenkins-bot:
Update ogv.js to 1.1.1 release

https://gerrit.wikimedia.org/r/288345